Email notifications report API

Purpose: The purpose of this API is to fetch a list of email notification details associated with a center.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Details

NameTypeDescription
NotificationsObjectObject containing the name of the centers using the email notifications.
page_infoObjectObject containing the pagination details.
totalintDenotes the number of pages in the response.
pageintDenotes the current page of the response.
sizeintDenotes the size of the page.

Notifications Object

NameTypeDescription
center_namestringName of the center which uses the email notifications.
guest_codestringCode of the guest to whom the email is sent.
guest_namestringName of the guest to whom the email is sent.
message_type_namestringType of notification sent to the guest.
statusstringStatus of the email sent to the guest.
emailstringEmail address of the center.

error Object

MessageCodeDescription
notification template ids are missing502This error occurs when the notification template ids are not mentioned.
center ids are missing502This error occurs when the center_id parameter is missing.
start_date must be earlier than end_date502This error occurs when an invalid start_date is mentioned.
invalid start_date or end_date502This error occurs when an invalid start_date or end_date is mentioned.
Query Params
string

Page number to search

string

Size of the list to return

Body Params
date
required

Start date and time of the request. This will fetch all the email notifications from the date specified in the body.

date
required

End date of the request. The API will fetch the email notification details till the date and time specified in the body.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json